Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# trimmed_stde

scipy.stats.mstats.trimmed_stde(a, limits=(0.1, 0.1), inclusive=(1, 1), axis=None)

  Returns the standard error of the trimmed mean along the given axis.

  Parameters:
    a sequence

      Input array

    limits{(0.1,0.1), tuple of float}, optional

      tuple (lower percentage, upper percentage) to cut on each side of the array, with respect to the number of unmasked data.

      If n is the number of unmasked data before trimming, the values smaller than `n * limits[0]` and the values larger than `n * `limits[1]` are masked, and the total number of unmasked data after trimming is `n * (1.-sum(limits))`. In each case, the value of one limit can be set to None to indicate an open interval. If limits is None, no trimming is performed.

    inclusive{(bool, bool) tuple} optional

      Tuple indicating whether the number of data being masked on each side should be rounded (True) or truncated (False).

    axis int, optional

      Axis along which to trim.

  Returns:
    trimmed_stde scalar or ndarray